Profit & Loss

GET https://app.speybooks.com/api/v1/reports/profit-loss

Income statement for a date range. Groups accounts by type (revenue, expense) and computes gross profit and net profit.

When comparative=true, includes the equivalent prior period for comparison. The prior period is calculated as the same number of days ending the day before the from date.

Revenue accounts are shown as positive values (negated from their credit storage). Expense accounts are shown as positive debit values.

Query parameters

comparative boolean optional Default: false
Include prior period comparison
from string required
date
to string required
date

Response

200 Default Response
Show response fields
comparative object
Show child attributes
netProfit integer
period object
Show child attributes
from string
to string
totalExpenses integer
totalRevenue integer
expenses object
Show child attributes
accounts array<object>
Show child attributes
balance integer
code string
id string
name string
total integer
grossProfit integer
netProfit integer
period object
Show child attributes
from string
to string
revenue object
Show child attributes
accounts array<object>
Show child attributes
balance integer
code string
id string
name string
total integer